Subject: [ipcdn] review of: draft-ietf-ipcdn-pktc-mtamib-00.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 4 Dec 2002 16:46:48 +0100

Document cause these SMIC SYNTAX check troubles:

E: f(ipcdnPktcMta.mi2), (79,4) Syntax error
E: f(ipcdnPktcMta.mi2), (1294,1) Unrecognizable item in module - skipping to end

W: f(ipcdnPktcMta.mi2), (11,13) "TruthValue" imported but not used
W: f(ipcdnPktcMta.mi2), (12,13) "RowStatus" imported but not used
W: f(ipcdnPktcMta.mi2), (19,13) "InetAddressType" imported but not used
W: f(ipcdnPktcMta.mi2), (19,30) "InetAddress" imported but not used
W: f(ipcdnPktcMta.mi2), (21,13) "sysDescr" imported but not used
W: f(ipcdnPktcMta.mi2), (23,13) "SnmpAdminString" imported but not used
W: f(ipcdnPktcMta.mi2), (25,13) "docsDevSwCurrentVers" imported but not used

*** 2 errors and 7 warnings in parsing

Comments like these on page 8
       --
  ================================================================
       --
       -- The MTA MIB only supports a single provisioning server.
       --
       --
  ================================================================

Better be done as:

       -- ========================================================
       --
       -- The MTA MIB only supports a single provisioning server.
       --
       -- ========================================================

so that they do not cause a SYNTAX error as shown above at line 79
It occurs at several places!

By the way, a lot of those comments probably belong in the various
DESCRIPTION clauses of the TABLEs and ENTRIES.

After I fix those, compile seems much cleaner, but I still get:

After I fix those, compile seems much cleaner
W: f(ipcdnPktcMta.mi2), (120,29) Item "pktcMtaDevMacAddress" should have SIZE sp
ecified
W: f(ipcdnPktcMta.mi2), (822,9) Row "pktcMtaDevRealmEntry" has indexing that may
 create variables with more than 128 sub-ids
W: f(ipcdnPktcMta.mi2), (986,9) Row "pktcMtaDevCmsEntry" has indexing that may c
reate variables with more than 128 sub-ids
W: f(ipcdnPktcMta.mi2), (1268,9) NOTIFICATION-GROUP "pktcMtaNotificationGroup" i
s not used in a MODULE-COMPLIANCE in current module

Need to check how serious that is

Thanks,
Bert 

Pls note that this was only a VERY QUCIK and CURSORY check if the MIB
compiles clean, nothing more
_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn